About Quick 3D Cover

Quick 3D Cover allows to make good looking illustrations very quickly. The program contains manually drawn templates inside (software boxshots, discs, books and some other objects). It embeds your artwork into the templates. Doing that, Quick 3D Cover naturally repeats usual steps of professional designer, who draws an illustration with professional graphics software like Adobe Photoshop.

Quick 3D Cover supports Jpeg, Tiff, Png, Gif and Bmp for input and can save images into Jpeg, Png, Gif and Bmp.

System requirements

Quick 3D Cover works under Windows 98/ME/NT4.X/2000/XP/Vista.

Recommended configuration: Processor 733 MHz or higher, although it will work on less powerful machine. Amount of needed memory to a greater degree depends on size of your input images. Usually running Quick 3D Cover takes 15- 25 Mbytes of RAM.

Quick 3D Cover use own software rendering engine and doesn't need 3d hardware accelerator.


Quick 3D Cover - Contact and Support

Contact Information

If you have any question, requests or suggestions, please, feel free to contact us at contact@nervepreserve.com.

Visit Nervepreserve site http://www.nervepreserve.com/ and Quick 3D Cover 's page http://www.nervepreserve.com/quick3dcover/ there for new products and updates.

Support

If your have any problem with Quick 3D Cover, send a mail to support at support@nervepreserve.com. Please, provide as more detailed description of the problem as possible. Information about your operating system and computer configuration can also be useful.


Quick 3D Cover - Registration and Activation

Quick 3D Cover Registration

Register to remove a "SAMPLE" watermark from the preview window and finally produced picture.

As registered user you will be able to receive future versions of Quick 3D Cover for free.

To register, please, order Quick 3D Cover from http://www.nervepreserve.com/quick3dcover/order.html.

Quick 3D Cover Activation

If you already have your serial number, do the following:

Start Quick 3D Cover, select "Enter serial number" from Help menu. Input your Name and your serial number into corresponding fields and press OK. Restart the program.

Please, make sure that the data you enter are absolutely correct. We recommend you to Copy and Paste your name and the serial number from email via Windows clipboard. Copy/Paste transfer allows to avoid mistypes.


Quick 3D Cover - Quick Start

Quick Start Tutorial

Quick 3D Cover allows to create high-quality illustration through some simple steps. The numbers on the screen shot below point to 4 minimal steps for this.

working area A First, you need to select a template from the Galley. Select a box shot, jewel case, book cover, display... what you need.

working area B Next, you need to load your artwork for faces of the selected template. Digit working area B marks the list of faces on the illustration above. Here you can assign pictures or solid colors to template's faces. Next picture illustrates where to click to load a picture, and where to click to set a solid color.

Set pictures or colors for necessary faces. For the screen shot shown above they are FRONT, SIDE and TOP. There is also the Background swatch, which allows to define color or picture for background by the same manner.

working area C Set dimensions of output image, in pixels.

working area D Now all necessary work is done. You can save the result. Press Save Pic.. button on toolbar. You will see Save Picture dialog, which allows to select and adjust all supported saving options.

Press OK and save your picture.

Steps 1, 2, 3 can be performed in arbitrary order.

Every time you select another template in the Gallery or change options, you can see changes in Preview window.


Using Quick 3D Cover

Introduction

Quick 3D Cover allows to make good looking illustrations very quickly. The program contains manually drawn templates inside (software boxshots, discs, books and some other objects). It embeds your artwork into the templates. Doing that, Quick 3D Cover naturally repeats usual steps of professional designer, who draws an illustration with professional graphics software like Adobe Photoshop.

Each template has several faces named FRONT, SIDE, TOP and DISC. For example, boxshot's template can have 2 or 3 faces depending of angle of view. You can assign picture from file or solid colors to any face. You may also assign picture or color to background.

Quick 3D Cover supports transparent background. It makes possible to easily process and combine pictures in other image processing software like Adobe Photoshop (see how to section).

Here are some samples of Quick 3D Cover's work.

Look at folder Extras in Quick 3D Cover 's installation directory (by default C:\Program Files\Quick 3D Cover\Extras\). The folder contains some pictures, including template for CD/DVD print area, which can be useful for your work.

How Does Quick 3D Cover Work?

Below is Quick 3D Cover 's screen . There are some control areas marked by letters here.

Gallery of cover templates.

Scroll the gallery with scrollbar, click any template's icon by the left mouse button to select it. You will see new result in preview area instantly.

working area B List of faces

Here you can load pictures for faces or assign them solid colors. Areas titled FRONT, SIDE, TOP, DISC, FRONT 2, SIDE 2 , TOP 2 and DISC 2 are to assign images or colors to corresponding faces. Background is to set picture or color to background. Fig. below shows where to click to load an image from file or set solid color.

Different templates contain different set of faces. Some templates contain more than one object. When you select a template, names faces used in the template are marked with red check marks, as shown on the Fig. above.

Quick 3D Cover remembers, what you have selected last time: picture or color. If you select a file last time, it shows a template with picture from the file assigned to the face. If you want to switch from file picture to solid color, simply click on color button and select a color. Face will be colored by solid color. And vice versa, load a file, and the file will be used.

Input images can be Jpeg, Tiff, Bmp, Gif, Png or Photoshop files PSD. Doesn't matter what color depth and size in pixels the images have. Quick 3D Cover accepts everything.

working area C Output image dimensions

Set dimensions for the resulting picture here. If picture is larger than Preview Window, it will be shown reduced, but it will be saved with given dimensions. Maximum dimensions are 3000 x 3000 pixels.

Preview window

Preview window shows the result. It is updating automatically when you make any changes.

There is information field under the Preview with text "Box [A4]. Proportions: 10 x 12 x 3". "Box" here is type of object, "A4" is template's name. "Proportions: 10 x 12 x 3" gives optimal proportions of source pictures for this templates as "width x height x depth".

So the box has width 10 units, height 12 units and depth 3 units. It helps to select template which match your source pictures better, or make corresponding pictures for selected template. For instance, picture with proportions 10 x 12 could be 500 x 600 pixels.

Practice shows that source pictures for faces usually don't need to have very exact proportions. The main criteria is good look of the final illustration. Simply try to render some samples and select the best result. Batch render can help much in this case.

General controls

Flip horizontal. If checked, the resulting picture will be mirrored horizontally.

Transparent background. Check it if you want a transparent background. In this case the final image can be saved with transparent background if you select true-color png as output format. Only 24-bit, or true-color png is used for output with transparency, because only this format gives a good result. 8 -bit png and gif support only 1-bit transparency, which is not useful for halftone images in most cases (1-bit transparency doesn't support anti-aliasing an pictures usually have "jaggies" on edges when are shown over an arbitrary background). Jpeg and true-color bmp don't support transparency.

Large disk print area switch reduces/enlarges the transparent area around disk's hub.

Sharpness. Depending of this value, your images applied to faces of template appear more or less sharp. You can optimize view of your image with this value. For example, if you set Sharpness to maximum, rather small texts will remain readable, but straight lines on can have "jaggies". And vice versa - lower Sharpness can make whole picture attractive, but same small details can disappear.

Extra smooth. This option is available when one of picture's dimensions is less than 200 pixels. When this option is turned on, Quick 3D Cover uses alternate rendering technique. The technique can provide better rendering results. If you render such small pictures, try to switch the Smooth option on and off and visually select what is better.

NOTE In the case of small pictures (250 pixels or less), you can combine various values of Sharpness and Extra Smooth to get the best result.

Shading controls

It is a group of parameters which control shading and highlights, reflections and the shadow, which object drops on the floor. By tuning these parameters your can improve quality of your pictures. You can leave the parameters intact, because their default values are rather good for many cases. However, in some cases default parameters would not ensure best results. Your own artwork can have be light or dark, red or green, you may plan to use the illustrations on own colored background etc. In any case it is easy to experiment to adjust parameters optimally for your artwork.

You can return all numerical parameters of shading to their default values by clicking Default button on toolbar.

Object(s)

Object's color - some templates like open boxes or books have areas which must be filled with color. Here the color can be set.

Shading(%) - in fact, surfaces of objects in real life are not evenly lighted. It was taken into account in Quick 3D Cover. Parameter Shading sets density of the darken areas in %. The less the parameter is, the lighter surfaces are. Small color button on the right sets color of the darkened areas.

Highlight(%) - as we've mentioned earlier, real life objects always reflects light from lamps, sun, other surfaces etc. The parameter defines degree of lightness of the light spots. Color of the highlights can be set here too.

Reflections

Show - if checked, reflections are visible.

Fade - if checked, gives smoothly faded reflections.

Opacity(%) - sets reflection's opacity. 100% gives absolutely opaque reflections. 0% makes reflections fully transparent, invisible.

Length(%) - sets reflection's length in %. With 100% length, whole object's is reflected.

Brightness(%) - controls reflection's brightness. Range is -50 to 50%.

Blur reflections - it is from real life too. Say, a table's surface is not an ideal mirror, it is not absolutely smooth. In this case all objects reflected by the table surface will be blurred. Blur defines the degree of smoothness.

Shadow

Density of shadow(%) - defines the density of shadow form the object to an underlying surface.

Toolbar

New - Creates a new Quick 3D Cover 's project.

Open -Opens a Quick 3D Cover 's project.

Save -Saves your project.

Save as - offers to save the project as a new file.

Default - sets all numerical shading parameters to default values.

Save pic.. - saves picture. Pressing the button you call the Save Picture dialog.

The dialog allows you interactively adjust all picture saving options in WYSIWYG mode. Left-side window shows the original image rendered by Quick 3D Cover. Right-side window shows exactly the same image which you get after saving with the given options. With this Save Picture Dialog you can select the output format and assign all the parameters, available for the given format.

Designer - calls Designer window. Designer allows to make own template-based designs, enter own texts into them and apply to cover templates from the main covers Galley. See section Designer to read more about it.

Batch - calls dialog Batch Render Setup. With batch render you can make many pictures at once. Load pictures, adjust parameters and call batch render. It will render all selected templates and save the results.

Assist - calls the Assistant Dialog. It's a wizard-like helping dialog. It can be useful for those, who starts Quick 3D Cover first time. The dialog demonstrates, how to obtain a resulting pictures with Quick 3D Cover in 4 steps.

When the Assistant shows the description of a step, blinking frame shows the area of interest on he main Quick 3D Cover 's window.

Help - Opens the Help menu.

Batch Render

The dialog window can be opened from toolbar. Batch render allows to get many illustrations at once.

Filtering - check types of objects you need to render. Batch rendering will be done with all templates that contain checked objects.

Output folder - must contain a path to the folder where rendered files will be saved.

File name prefix - the prefix is some symbols added to the start of output file names. To get resulting output file name, Quick 3D Cover adds name of template to the prefix. All the templates in the gallery are signed by letter and number: "A1", "G3" etc. So, for example, if you type "qwerty" for the prefix, files will be named as "qwerty_A1.jpg", "qwerty_A2.jpg" and so on.

File type - select a type of the file from the list.

Option button calls the Output Format Options Dialog. You can set Jpeg quality and color depth for Bmp and Png (in the current version available options are True-color or 256-color, and Gif can be only 256-color).

Please, take into account that Quick 3D Cover saves images with transparency only for true-color PNG files. Jpeg and BMP don't support transparency. And 8-bit GIF and PNG support 1-bit transparency. Such transparency can't be anti-aliased, smooth due to its nature. So, Quick 3D Cover don't support transparency for these formats.

File name sample - shows resulting filenames.

What to do with existing files? - if "Ask" is selected, Quick 3D Cover will ask you what to do when if it meet existing files. If "Overwrite" is selected, all existing files will be overwritten silently without questions.

Start - this button starts batch rendering.

Save - saves current parameters for future use and closes the dialog.


Quick 3D Cover Designer

Designer Window

To call Designer, press Designer buttor button on the main Quick 3D Cover toolbar.

Designer is to create own designs, enter texts into them and apply to cover templates. Screenshot below shows a result of its work: customized design was applied to box template.

If you wish, you can start with 2 short tutorials on Designer use.

Illustration below shows Designer window. The most important Designer's controls are Design templates gallery and Layers control, so we will start from them.

The process of own design creation usually starts with selection of appropriate design template from the gallery [image] . The control is very simple: just scroll the gallery and click on selected template's thumbnail by left mouse button. Every design template represents base information about colors shapes and texts positions.

Layers [image] are to enter own texts and to customize template's look. It is the most often used control of Designer, because all design customization depends on layers. Detailed description of layers is below.

Preview area [image] automatically reflects all changes in layers properties.

. "Select a design" list provides choose of one of two designs "Design A" and "Design B". Quick 3D Cover Designer allows to store 2 independent designs and switch between them. Designer shows and edits currently selected design.

Some cover templates from the main Quick 3D Cover Gallery contain 2 objects, for example, 2 boxes. One of designs, say, "Design A" can be applied to the first box on such template (faces: Front, Side etc.), and second "Design B" can be applied to the second box (faces: Front2, Side2 etc.).

To apply currently selected design to appropriate objects, select needed set of faces from the "Target faces" list and press Apply button. After pressing this key, all changes will be instantly visible in the main Quick 3D Cover Preview window.

3 buttons on Designer's toolbar [image] allow to return design to its initial state (button New), and read and write current design from/to a file.

Layers

Layers allow to fully customize design template's look. Current version contains fixed set of 3 text layers named Title, Author and Web and 4 so called fill layers: Background, Fill A, B, and C.

Text Layers.

Click on each of 3 text layers calls Text layer properties dialog for the layer.

Text layer properties

With this dialog, you can enter own text for the layer, select font, style, color, scale, set underline style on or off. Italic text style can be selected from the Style list, if it is available for selected font. If currently selected font contains the only style, the Style list is shown "Grayed".

Every design template contains fixed positions for all texts. The Scale parameter allows to enlarge or reduce your text.

Fill Layers

Fill layers are for design templates coloring. Every fill layer has 3 small square buttons shown on the illustration below.

Fill layer buttons

If you press solid color button, color selection dialog appears. You can select a color with it and press OK. Area covered by corresponding layer will be filled by selected color.

When you press ramp (or gradient) button, Ramp properties dialog appears (it is described below). You can adjust ramp parameters and apply your ramp to the layer's area. Ramps allow to achieve some effects. Working with ramps is described in the section "Ramp editing"

By pressing Bitmap image button, you can apply a picture to the layer's area. Assigning images to fill layers is described in the section "Applying bitmaps"

At any moment, each fill layer can use solid color, ramp or bitmap, only one of them. When you press the Solid color button and then press OK in color selection dialog, you choose solid color for the layer. If you press the Ramp button after that and press OK in the Ramp Properties dialog, the layer will fill own area by the ramp. It concerns filling by bitmap too. I.e. every layer "remembers" your last choice.

On start, all fill layers are filled by default solid colors. Look at the illustration below. Solid color button of each fill layer is filled by currently selected color, so you can see there what area on the preview corresponds to every fill layer.

Working with bitmap image and ramp is illustrated in Designer "Tutorial 2. Working with Images, Ramps (Gradients) and Transparency".

Ramp Editing

When you press fill layer's Ramp button, Ramp Properties dialog appears. Default look of this dialog is

Ramp tab

Controls of this dialog are explained on the illustration below

Ramp properties explained

Ramp is a sequence of colors, it is based on a fixed number of basic colors here. Color markers, small colored circles, represent these basic colors. You can move these markers, delete them or add new ones, change their colors to get the resulting ramp you want.

The colored stripe marked as Color gradient shows the resulting color ramp.

One of color markers is selected, it has white border. To delete currently selected marker, press <Delete> key or right-click on it and select Delete from pull-down menu.

To move a marker, drag it with left mouse button.

To insert new marker, left-click on the Color gradient area.

You can copy color from one marker to another one. Right-click on the marker and select Copy from pull-down menu. Then right-click on another marker and select Paste from menu.

Selected color marker parameters are its color and position. To change the color you can click on the color button and select a color from Color dialog or move slider to the right to change marker's brightness. Position can be changed numerically using the "Position" parameter or by dragging the marker with left mouse button.

Black-white stripe and a set of black-white markers pointed to as Transparency gradient and Transparency markers are the second, auxiliary ramp which define transparency. Black areas there are transparent, white are opaque. Gray areas are semi-transparent.

Parameters of a transparency marker are its value and position. Value changes from 0 (black, transparent) to 255 (white, opaque).

With the Type list, you can select type of color and transparency ramps. Different types define various distribution of colors or transparency in 2d-space.

You can also select Interpolation for both ramps. Linear interpolations gives smooth transforms between colors, Stair interpolation gives sharp boundaries between them.

The resulting ramp has the same properties as a usual bitmap image. It stores information about color of every own pixel. Color ramp's adjustments fully define color pattern of this image. Transparency ramp creates transparency layer of the image (or alpha channel). Every time you can watch the resulting ramp on Preview square of Ramp Properties dialog. Visible areas filled with checkerboard pattern show transparent areas.

To make ramp fully opaque, make white Transparency ramp as shown on the illustration at the beginning of this section.

You can also turn off "Use alpha channel if present" check box, explained in the next section.

There are sets of 3 buttons to the right of color ramp parameters and transparency ramp parameters. Top row of buttons is related to color ramp, bottom row works with transparency ramp.

First button of the set allows to fill color or transparency by one of default ramps. After clicking on this button, list of available ramps appears.

Second button allows to open previously saved ramp.

Third button allows to save ramp to file.

Placement tab

In Quick 3D Cover, ramp is considered as a square image. Various methods of placement are shown on the illustration below.

Use alpha channel if present - if turned on, transparency (alpha) channel of ramp image will be used. If turned off, alpha-channel will be ignored, ramp image will be considered opaque.

Finally, to apply the ramp to fill layer press OK in the Ramp Properties window. Designer's preview window will be updated automatically.

Applying bitmaps

When you press layer's Image button, Image properties dialog appears.

Image properties window

You can press [...] button to call system file selection dialog, or can type or Copy/Paste path to the image file manually. Quick 3D Cover can import formats: png, jpeg, bmp, gif, tiff and Photoshop PSD.

Placement tab has the same options and works by in same manner as Placement tab of Ramp Properties dialog.


Quick 3D Cover Designer Tutorials

Tutorial 1. Texts Entering and Basic Coloring

In this tutorial, we will apply custom texts and design to a box.

1. Start Quick 3D Cover. In the main Gallery, select box template "A4".

Quick 3D Cover screen

2. Press "Designer" button Designer button on the toolbar now. Designer window appears. Press "Apply" button in the window. You will see that your box appearance in the main Quick 3D Cover window was changed.

Design template applied

3. Look at the bottom of the Designer window. You see the Gallery of design templates there, under "Select a template" string. Scroll the Gallery and click on the template named "wave.1a". Our box changes after that, selected design is applied to it.

Design template changed

4. We will customize our box using Layers. First, we will change texts. Click on the top layer named "Title".

Text layer properties window appears.

Text layer properties

For example, enter "ACME Solver" into the Text field and select Bold Italic from the Style list. Press OK. If you wish you may also change other text options before pressing OK.

Next, you can change options of "Author" and "Web" layers by clicking on corresponding layers, and varying parameters. Every time after you change design options and press OK in the Text layer properties dialog, you see changes in the design preview and in your box cover appearance.

5. Let's recolor our box. Scroll Layers window to its bottom and click small color rectangle on the "Background" layer as shown below

Color selection dialog appears. Select white color in it and press OK. Then press color rectangle on the "Fill A" Layer and select violet color and press OK. Select light-orange and light-blue for layers "Fill B" and Fill C". You will get something like this

Finally, to save the resulting image, press Save pic. button on the main Quick 3D Cover window.

Tutorial 2. Working with Images, Ramps (Gradients) and Transparency

Layers Background, Fill A, B and C are so called Fill Layers, they are to color design templates. Each of these layers can be filled by a solid color and we used this possibility in the previous tutorial. Every fill layer can also be filled by an image or by a ramp (gradient).

In this tutorial, we will use more advanced technique. We will place bitmap image into the Background layer and will use ramp to add semi-transparent frame over it.

1. Start Quick 3D Cover and press Designer button on its toolbar. Select "Simple/S.1b" template from the design templates gallery as shown on the illustration below.

Design template selected

2. For example, texts for layers "Title", "Author" and "Web" were altered to "FLOWERS", "by Florist" and "www.florist.site". Color of all texts was set to light-yellow.

3. We can see that our Background layer is not visible on the template "Simple/S.1b" at start. The layer is colored by the lightest color, but all colors visible on preview are from layers Fill A, B and C. It is because these Fill layers are above the Background and hide it. It was made specially in this template, for possibility to place any graphics into background and make one or some of upper layers transparent to achieve a number of effects. As was mentioned above, in this tutorial, we will place a bitmap image into the Background layer and make semi-transparent smooth frame around it using upper layer Fill A.

Let's assign semitransparent ramp to the layer Fill A. Press ramp button of the Fill A layer as shown below.

Layer Fill A

5. Ramp Properties dialog appears.

Ramp properties default

Press OK. You will see that Front surface in our design looks like rainbow now. It was to demonstrate a ramp, it is not our goal.

6. Press ramp button of the Fill A layer again to return to its Ramp properties.

The row of seven color circles are color markers, you can move them, delete, insert new ones to get desired color sequence (see Ramp Properties section for details). For our tutorial we need the only green color marker, so we will delete all markers except green one.

Right-click on the red color marker. Pull-down menu appears.

Select "Delete <Del>" from the menu. Red marker is deleted now. You can also press <Del> key on keyboard to delete currently selected color marker (selected marker has white frame).

Delete all color markers one by one except the green one.

Ramp properties green

7. The upper stripe represents color sequence, it consists of the only green marker now. The white stripe below with 2 white color markers represent transparency. 2 white color markers and all space between them, the whole lower stripe, is white. This means that our ramp is opaque and our green color fills whole area without transparent spots. The fact is shown on Preview square on the Ramp Properties dialog.

Let's add transparency to our ramp. Move left transparency marker approximately to the middle of the stripe.

Image properties window

Move lower color slider to left position. Our marker becomes black.

Ramp properties alpha1

In the Preview square of Ramp properties window, we see that part of our ramp became transparent (transparent areas are sown by visible checkerboard pattern).

8. Let's give our ramp a frame shape.

Select "Circular" from the transparency (lower) Type list.

And move right white marker to the left as shown below.

Ramp properties alpha

You can see that our Preview shows smooth green area around central transparent spot. Press OK now. Our semi-transparent ramp was applied to the Fill A layer and central area of Background layer is visible. It is the frame we need.

Ready Fill A

9. Let's place bitmap image into the Background layer. Click on the image loading button of the layer.

Image properties window appears.

Image properties window

Click on the file selection button [...]. In Windows File Open dialog, go to Quick 3D Cover installation directory (usually c:\Program Files\Quick 3D Cover\), go to the "Tutorials" folder and select file "red_flower.jpg" there. Press OK in the Image properties window. Our design changes.

Front face ready

10. Go to the main Quick 3D Cover window and select book template "Book H3" from covers Gallery. Press Apply button in Designer window.

Design template applied

11. The color of layer Fill B is applied to book's back. To change it, press color button of the Fill B layer

and set the color to dark green. If we want to assign our design to another cover templates, we can change color of the layer Fill C too, the layer is visible on another covers with Top face shown. Our resulting design will look approximately so

12. We can select any of cover templates from the main Gallery, our design will be automatically applied to every of them.


Samples of Quick 3D Cover work

Samples of Quick 3D Cover's Work

Here are example pictures for faces FRONT, TOP, SIDE and DISK, which was used for some of the samples.

Here are some Quick 3D Cover 's results. Totally, Quick 3D Cover contains more than 70 templates of box shots, book covers, CD jewel cases, DVD cases, magazine covers and more.


How to

Browse Pictures with Transparency.

Quick 3D Cover can save pictures with transparency. Preferable format is true-color (24-bit) PNG. In this case pictures contain RGB-channels plus one additional channel normally called alpha or mask, containing opacity of the pixels.

Some popular image browsers such as ACDSee or Picasa cannot display pictures with transparency correctly. Instead, you will see a terrible image with dirty spots and distorted colors. We recommend to use XnView browser http://www.xnview.com which has 3 important properties: 1). it's free; 2). it is very good and powerful itself, 3). it shows images with transparency well.

While saving picture with transparency, Quick 3D Cover ignores given background color or picture. Background pixels are transparent. In any sense, pictures with transparency "have no background". It is very useful if you wish to compose the pictures with own arbitrary background or to combine them with each other using any graphical software.

So, don't be surprised if picture viewer shows something unexpected instead of your background (for example, XnView shows white or black). It is because in professional software background is considered undefined if corresponding pixels are transparent.

Post processing Quick 3D Cover's Pictures.

May be, you want to use professional image processing software to produce more complex illustrations, than Quick 3D Cover makes. To do that, save pictures from Quick 3D Cover in true-color PNG format with transparency. Now you can open the pictures and compose them on any background.